東方弾幕風更新履歴

yyyy/MM/dd(未実装memo)
- 振動機能
- アイテムへの判定登録関数
- エフェクトオブジェクトの絵画処理を端折る機能
- 画面上に出ているアイテムの数を取得する機能
- 前フレームで消えた弾の位置を取得する機能
- Timeストップ中でも自機の弾は動くように。
- 敵版SetAutoEffect
- オブジェクトに任意の型の任意の値を入れる機能
- 名前空間自体を削除する機能
- 敵が被弾判定（CollisionA）を持つかを調べる機能
- GetSpellCardBonusScore()において、そもそもスペル中ではない時は負数を返すように
- 返り値の無い関数を代入しようとすると落ちる(Thanks to Mc氏)
- SetMovePosition03を使って移動している敵のGetSpeedXが-1.0と0.0と1.0で固定されている(Thanks to Syuli氏)

2006/10/09(ver0.12m)
- デバッグ用ウィンドウを変更
- 共通データ名前空間そのものの存在有無を取得する機能(IsCommonDataAreaExists)
- 絵画するフレームか調べる機能(IsRenderFrame)
- OnEnemySpellとは別に、ラストスペル中かどうかを取得する関数(OnEnemyLastSpell)
- ボスのFinalizeにて、タイムアウトになったのか判定する関数(IsTimeOut)。何で倒されたか判定するには、BeVanishedとIsTimeOutで確かめられます。
- レンダリングターゲット作成機能(CreateRenderTarget、SetRenderTarget、ClearRenderTarget)
- 敵が本体なのか使い魔なのかを調べる機能(IsMaster)
- BGMフェードアウト(FadeOutMusic)
- フレーム部分描画設定機能(SetRenderFrame(ステージ専用))
- 共通の関数として自機の高速、低速移動の速度の値を取得する機能(GetPlayerInfo)
- クリア時の画面効果を省いて即座にリプレイ保存シーンに進む機能(SetClearFrameEffectEnable)
- 自機スクリプトのCutIn関数をスペルカード関数内でも呼び出せるように変更
- プレイ終了時に、高速再生解除をいったん解除するように変更
- 空の文字列("")を要素に持つ配列をコモンデータに入れてSaveCommonDataExでファイル保存後読み込むと落ちたのを修正(Thanks to mitica氏)
- 弾スクリプト（script_shot）内でオブジェクト弾を作成したとき、ObjShot_ToItemが使えなかったのを修正(Thanks to END氏)
- GetPlayerType()のUSER_PLAYERが未定義エラーだったのを修正(Thanks to mitica氏)
- アーカイブ済みスクリプトで、弾スクリプトが使用できなかったのを修正(Thanks to Ria氏)
- GetMissCountがラストスペル中被弾時にも増加していたのを修正(Thanks to Ria氏)

2006/07/30(ver0.12l)
- LoadCommonDataExで(ファイルがないなど)読み込みに失敗したらエラーを出さず、falseを返すように変更
- ObjShot_ToItemがステージスクリプトで使えなかったのを修正(Thanks to Ria氏)
- 残機ゼロの時にミスするとOnMissedが反映されなかったのを修正(Thanks to Ria氏)
- DeleteEnemyShotToItemが自機スクリプトで未定義エラーだったのを修正(Thanks to Ria氏)
- アーカイブされたスクリプトのカレントディレクトリの取得がうまくいかなかったのを修正(SaveCommonData等もうまく動作できていませんでした)(Thanks to 淀川氏)
- 自機スクリプト動作中に、ClearByteCodeCash()でバイトコードを破棄すると弾幕風が落ちてしまったのを修正(Thanks to mitica氏)
- Pluralスクリプトで、すべてのファイルが見つからないと落ちたのを修正(Thanks to Mc氏)
- ボス撃破時にザコのスクリプトの@FinalizeでGetEnemyLifeを呼ぶと落ちたのを修正(Thanks to Ria氏)
- 自機スクリプトが見つからない時、エラーメッセージを吐いた後に不正落ちしたのを修正(Thanks to Ria氏)

2006/06/07(ver0.12k2)
- 共通データの実装を大幅に変えた結果不安定なっていたのを修正

2006/06/04(ver0.12k)
- 複数の共通データ空間を作成できるようにしました。(スクリプト間共通データ用関数参照)
- 敵ボスを含め全ての敵を倒す機能(SetLifeZeroToAllEnemy)
- エフェクトオブジェクトの頂点数をリサイズする機能(ObjEffect_ResizeVertexCount)
- 会話イベントのテキスト表示で、一定時間待った後キー入力を待つ機能(TextOutC)
- GetSpellCardBonusScoreをプレイヤースクリプトでも有効にした。
- IsForbidBombがラストスペル中にも真を返すようにしました。
- SaveSnapShotに指定するパスに"player"フォルダも有効にしました。
- SetScore時にスペル取得条件初期化をするようにしました。
- 時間停止中は、自機の無敵時間を減少させないようにしました。
- 残機のない状態でミスをすると@MainLoopにも@Missedにも処理が回ってこなったのを修正(Thanks to Mc氏)
- ステージ側で毎フレームGetTimerを行っていると、落ちるバグを修正(Thanks to mitica氏)
- OBJ_SINUATE_LASERにおいてObj_SetCollisionToPlayerの設定が反映されなかったのを修正(Thanks to Ria氏)
- 音声ファイル読み込み再生パスがファイル名だけで処理されていたのを修正(Thanks to Ria氏)
- 時間停止中では、必ず自機のあたり判定が登録されていたのを修正(Thanks to mitica氏)
- Collision_Obj_Objが自機スクリプトで使えなかったのを修正(Thanks to Ria氏)

2006/04/02(ver0.12j)
- エフェクトレイヤに8を設定できるようにしました。外枠部分に描画できます。
- 矩形範囲内のスナップショットをファイルに保存する関数(SaveSnapShot)
- 点数レート有効／無効切り替え(SetRateScoreSystemEnable)
- 基本ステータス表示有効／無効切り替え(SetDefaultStatusVisible)
- スクリプト開始からの経過時間をミリ秒単位で取得する機能(GetTime)
- 範囲内の敵弾数をカウントする関数(GetEnemyShotCountEx)
- 敵弾をアイテムに変えず、瞬時に消去する関数(DeleteEnemyShotImmediatelyInCircle)
- 自機スクリプトで、スローをかける機能(Slow)
- 自機がボムを発動可能か調べる機能(IsForbidBomb)
- デバッグ窓を閉じてからBSキーでリトライすると窓が再生成されなかったのを修正(Thanks to Mc氏)
- グレイズ半径を0に設定した場合でも、レーザーに対してはグレイズ数が増加していたのを修正(Thanks to mitica氏)
- 自機スクリプトにおいて、スクリプト開始直後にGetTimeOfPlayerInvincibility()を実行するとエラーが発生したのを修正(Thanks to mitica氏)
- 多重includeに対応できてなかったのを対応(Thanks to Mc氏)
- ラストスペルを連続再生の最初に持ってくると、ミスしてもボーナスが取得できたのを修正(Thanks to Ria氏)
- 自機のかすり判定が敵の当たり判定に適当される不具合がおきたのを修正(これまでのリプレイがずれるかもしれません)(Thanks to Ria氏)正
- 自機から遠すぎる位置に、自機の当たり判定を設定できなかったのを修正(Thanks to Ria氏)

2006/02/25(ver0.12i)
- 自機スクリプトで、@SpellCardを呼び出す機能(CallSpellCard)
- 強制的に自機をミスさせる関数(ShootDownPlayer)
- 自機撃墜中か調べる共通の関数(OnPlayerMissed)
- 自機のレーザーは遅延時間後即座に判定がでるようにしました
- ポーズ中もモーションブラーの残り時間が減っていたのを修正(Thanks to END氏)
- OBJ_SINUATE_LASERで作成したレーザーにObj_SetAutoDeleteでの自動消滅が無効にならなかったのを修正(Thanks to Ria氏)

2005/12/23(ver0.12h2)
- OnBorderOfLifeで返ってくる真偽値が逆になっていたのを修正(Thanks to mitica氏)
- 敵がスペル発動中か調べる関数(OnEnemySpell)

2005/12/11(ver0.12h)
- 自機スクリプトで喰らいボム有効フレーム数を取得する関数(GetRebirthFrame)
- 自機スクリプトで喰らいボム有効フレーム中であるかどうか取得する関数(OnBorderOfLife）
- 自機スクリプトで自機の組み込みエフェクトを設定する関数(SetAutoEffect)
- 曲がるレーザーを操作する関数(ObjSinuateLaser_)
- 敵の情報を取得する関数(GetEnemyInfoDefault)
- ボス以外の敵を消滅させる関数(DeleteAllEnemyWithoutBoss)
- エフェクト表示レイヤーの指定(SetEffectLayer)

2005/11/05(ver0.12g)
- 画面上の敵弾数を取得する関数(GetEnemyShotCount)
- 自機スペルスクリプト内でSetPlayerX,SetPlayerYを実装
- 自機スクリプト内でDeleteEnemyShotToItemInCircleを有効にした
- 範囲円内の敵弾を消去する関数(DeleteEnemyShotInCircle)
- くらいボム受付時間減少量設定関数(SetRebirthFrameReduction)
- 自機が撃墜中か返す関数(OnMissed)
- ミス時にマイクロスレッド動作の弾が停止したり違和感が有ったので、 自機スクリプトに「@Missed」を追加しました。 自機撃墜時に"@MainLoop"の代わりに実行されます。 "@MainLoop"と同じ動作でよいのなら"@Missed{MainLoop}"とかけます。 (@xxxは内部的にはサブルーチン扱い。ただし、撃墜中に弾が撃てたら変なので、OnMissed関数で判断してください。)
- ミスがあったので関数名修正(Ribirth→Rebirth、互換をとるためにどっちでも呼べます)
- ユーザ定義ボタン(自由に使えるキーです。キーボードでは"C"キーになっています)

2005/10/10(ver0.12f)
- リトライさせる関数(Retry)
- 共通データをリプレイファイルにインプラントする関数(SaveCommonDataInReplayFile,LoadCommonDataFromReplayFile)
- プレイヤースクリプトにおいて自機のグレイズ半径を設定できる関数(SetGrazeCircle)
- オブジェクト弾がアイテムになるかならないか指定する関数(ObjShot_ToItem)
- アーカイブされている自機スクリプトを使えなかったのを修正
- エフェクトオブジェクトをObj_Deleteした瞬間に落ちる可能性があったのを修正(Thanks to 氷祟氏)
- 弾幕風用のアーカイバを微修正(v0.01c)

2005/09/04(ver0.12e)
- 文字列内で「"」を使えるようにしました。「"abc"\""def"」のように、「""」の外に書きます。
- "#東方弾幕風"の代わりに"#TouhouDanmakufu"を使えるようにした
- #BGM[]で再生した音声が停止されなかったのを修正(Thanks to NightFog氏)
- 効果音としてwavヘッダつきmp3を再生できなかったのを修正(Thanks to 氷祟氏)
- 一番最初に作られたオブジェクト弾が表示されなくなっていたのを修正(Thanks to ロベール氏)

2005/08/23(ver0.12d3)
- 素のwavファイルをストリーミング再生したら即落ちたのを修正
- midiファイルを再生したら即落ちたのを修正

2005/08/22(ver0.12d2)
- BGM再生に不具合があったので修正(スクリプト再生開始時に関係ないBGMが鳴るなど)

2005/08/21(ver0.12d)
- BGMが鳴らない環境があったようなので、鳴るようにしました。
  (mp3のデコードには、acmStream系のAPIを用いています。
  どうも環境によっては同時に複数のストリームを開けないようです。
  そこでacmStreamOpenに失敗するような環境では、
  mp3は同時に1ファイルしか再生できなくしました。
  oggにはacmStream系を使わないので、上記の処理は関係ありません。
  これはDirectAudioにmp3の再生を丸投げしていると回避できないので
  midi以外の再生をDirectAudioからDirectSoundにしました。
  音声が多少違って聞こえるかもしれません。
  あと、再生終了が妙に遅い時があります。)
- ボムで落ちる可能性があったのを修正
- SetPlayerInvincibility(0)で自機の無敵時間を解除できるようにしました

2005/07/31(ver0.12c2)
- ボム発動中は、敵弾の当たり判定を登録しなかったのを、登録するように変更
- script_spell内でSetIntersectionCircleを一回だけ実行しても、敵弾が削除されなかったのを修正(Thanks to Raticate氏)
- script_spell中のSetPlayerInvincibilityでは、120フレーム以下は無視されていたのを修正(Thanks to Raticate氏)
- CutInの時間停止中にEndを実行すると時間停止が解除されなかったのを修正(Thanks to Raticate氏)

2005/07/30(ver0.12c)
- config.exeの"option"に、#Playerが無いスクリプトに対する処理の項目を追加
- エフェクトオブジェクト解説を追加
- エフェクトオブジェクトの呼び出し元のスクリプトが削除されたら、エフェクトオブジェクトも削除されるようにした
- BeParentVanishedで親の親も参照できるようにした
- ボムショット弾が当たった後、フェードしながら消えたのを即座に消えるように変更
- 画像が正方形ではない場合に、ObjEffectのV値が不正な値だったのを修正
- #Playerの記述がないスクリプトでは、自機選択をスキップできなかったを修正(Thanks to ロベール氏)
- COODINATE_TYPE_PARENT がうまく動作しなかったのを修正?(Thanks to ロベール氏)
- 敵スクリプト内で呼び出したCreateEnemyFromFileでは、子が親を認識できなかったのを修正
- 自機選択画面で2ページ目以降のテキストが正しくなかったのを修正(Thanks to 氷祟氏)

2005/07/24(ver0.12b2)
- ステージスクリプト以外で#Playerの記述がないものは、自動的に#Player[FREE]を挿入するようにしました。(単発ものならたぶん会話イベントは無いと思うんですが、問題あったら戻します。)
- 自機選択画面で、ファイル名を表示するようにしました
- アーカイブ内のスクリプトから、#Player[FREE]の自機ファイルを選択できなかったのを修正
- 自機数が6の倍数のとき、プレイヤー選択画面のページ数がおかしなことになったのを修正

2005/07/24(ver0.12b)
- #Player[FREE]を指定してあるスクリプトでは、playerフォルダ内の全自機を選択できるようにしました
- ヘルプのサンプルにエフェクトオブジェクト解説を加えました
- 付属の自機スクリプトサンプルのRumia.txtを更新しました。(低速移動時ボムのエフェクトが変わっています)
- script_spell内からのObjShotはボム属性にしました
- 自機スペルカードの当たり判定用にObjEffectから派生させたObjSpellを実装
- 敵を列挙して情報を取得する関数群(EnumEnemyBegin,EnumEnemyEnd,EnumEnemyGetID,GetEnemyInfo)
- ObjEffect_に描画先レイヤ指定関数(ObjEffect_SetLayer)
- 敵スクリプトからもCreateEnemyFromFileを呼べるように変更
- Clear()でクリアしたかゲームオーバーかを取得する関数(IsClear)
- 効果音を停止する関数(StopSE)
- 喰らいボムとしてスペルカードを発動したかを取得する関数(IsLastSpell)
- 残り喰らいボム受付時間を取得する関数(GetRebirthFrame)
- prand, prand_intの初期化用関数(psrand,ヘルプになかったのも修正)
- SetCoordinatesType→SetCoordinateTypeに変更
- script_spell内でSetSpeedを有効に
- script_enemy_mainの雑魚敵がやられるとその敵が出現させたscript_enemyの敵もやられるようにした
- #Playerのないスクリプトを選択すると、常にキャラ選択が行われれたのを修正(Thanks to ロベール氏)
- BeParentVanishedがうまく働かなかったのを修正(Thanks to ロベール氏)
- COODINATE_TYPE_PARENT の挙動がおかしかったのを修正(Thanks to ロベール氏)
- 古いリプレイファイルが存在したら、不正なリプレイが項目に表示されたのを修正(Thanks to ロベール氏)
- 自作自機の場合、会話イベント中(ForbidShot含む)でもショットが撃ててしまったのを修正(Thanks to No.6氏)

2005/07/18(ver0.12a)
- 自機スクリプトを実装しました
  (ヘルプに"自機の作製"で追加しています。
  また本体にサンプルの自機スクリプトをつけました。
  たぶん説明が足りないのでまた追加します。
  自機スクリプトの実装により、今までの本体とリプレイの互換性は失われました)
- 毎回同じ乱数種で生成される乱数(prand, prand_int)
- 敵の座標系を設定する関数(SetCoordinatesType,SetOrigin)
- エフェクトオブジェクト操作関数(ObjEffect_xxx)
- 更新内容が多いので恐ろしくバグがありそうです。実装漏れも多そう・・・。

2005/07/09(ver0.11m)
- レーザーがアイテムに変わるとき、直線上にアイテムを並べるように変更
- リプレイ中か否かを取得する関数(IsReplay)
- config.exeのキーコンフィグに不具合が合ったのを修正(Thanks to MAKINA氏)
- Collision_Obj_Objでレーザー同士を判定するとき不具合があったのを修正(Thanks to MAKINA氏)
- オブジェクト弾で組み込みの弾画像とユーザー定義の弾画像を切り替えると、おかしなことになったのを修正(Thanks to MAKINA氏)

2005/07/02(ver0.11l)
- 画面遷移を、スクリプト選択[→キャラクタ選択]→ゲーム開始にしました。
- config.exeを更新しました。"option"タブが追加されています(ついでにconfig.datとkey.datをconfig.datに統一したので、今までの設定はリセットされます)。
- 高速再生の仕様を変えました。PageUpを押せば押すほど高速になります(Ctrlキーと同時押しで、一気に最高速。)。PageDownで等速に戻ります。また、スペースキーは押している間高速再生されます。離せば解除されます。
- リプレイ中は会話イベントが自動で高速再生になったのをやめにしました。
- ボムが弱すぎる感じがするので調整しました。
- mp3、oggの再生終了後に落ちる可能性があったのを修正
- リプレイデータが長くなると、リプレイ再生が異様に重くなったのを修正
- スペルカード発動中に、VanishEnemyを呼ぶと落ちたのを修正(Thanks to 司戸菱安氏)
- SetShotKillTime(X,0)すると遅延時間のエフェクトがでなかったのを修正(Thanks to MAKINA氏)

2005/06/25(ver0.11k)
- 弾の自動削除が起こる境界を設定する関数(SetShotAutoDeleteClip)
- mp3、ogg音声がアーカイブ内から再生できなかったのを修正
- フルスクリーン時に等倍のスナップショットが写らなかったのを修正
- モーションブラー中の弾がスナップショットに写らなかったのを修正(Thanks to HAL900氏)
- "描画間隔=可変"のときのfpsを1秒間あたりの描画回数ではなく1秒間あたりのメインループ実行回数に変更

2005/06/19(ver0.11j2)
- 読み込む音声ファイルによっては突然落ちたのを修正

2005/06/19(ver0.11j)
- Homeキーでsnapshotフォルダにスクリーンショットを保存するようにしました。(画面全体、STGシーンのみ、STGシーンを 1/2 に縮小したものを同時に保存します)
- 演算子の優先順位の変更によるa[0][0]の記述、!a[1]の記述。
- オブジェクトレーザーはデフォルトでは AutoDelete が無効だったのを有効に変更
- 多重includeにたぶん対応(うまく実装できていないかもしれないです)
- SetText("")でCutIn,SetText等で表示されたスペルカードの名前が消えるようにしました
- ObjShot_SetGraphicを指定しないときは画像無し＆自動的に判定無効にするように変更
- 残りコンティニュー可能数を取得する機能(GetAllowedContinueCount)
- スクリプト途中でもコンティニュー可能回数を変更できる関数(SetAllowedContinueCount)
- イベント関数にて一定フレームで会話が進む機能(TextOutB)
- 現在ボスが出ているか判定する関数(IsBossExisting)
- 画面上のアイテムを回収する関数(CollectItems)
- メッセージダイアログを表示してスクリプトを終了させる関数(RaiseError、assert)
- GetSpellCardBonusScoreの値が間違っていたのを修正(Thanks to MAKINA氏)
- SetEffectForZeroLife( 0, 0, 0 )するとスペルカードボーナスが得られなかったのを修正(Thanks to MAKINA氏)
- config.exeが非アクティブでもEnterキー入力に反応して弾幕風が起動してしまったのを修正(Thanks to MAKINA氏)
- 配列にboolean値を入れてOutputDebugStringすると必ずtrueになっていたのを修正(Thanks to MAKINA氏)
- SetFontColorで指定する色にミスがあったので修正(Thanks to Akechi氏)
- GetVersionが実装されていなかったのを修正(Thanks to 司戸菱安氏)
- 配列のsliceにバグがあったのを修正(Thanks to 司戸菱安氏)
- ascent、descentでbreakできなかったのを修正(Thanks to 司戸菱安氏)

2005/06/05(ver0.11i3)
- 変数を多重定義を通すことにしました。(いままで公開していただいたスクリプトがエラーになるのはつらいです。いずれエラーにできるようになるオプションでもつけます。その時もデフォルトでは多重宣言はエラーにならないようにすると思います。)

2005/06/05(ver0.11i2)
- script_enemyの敵が消えると、即落ちする可能性があったのを修正(Thanks to MAKINA氏)

2005/06/05(ver0.11i)
- インデックス付きループ(ascent、descent)。ヘルプのループに説明を追加しています。(Thanks to YT氏)
- 起動画面をconfig.exeとして分離。KeyConfig.exeもconfig.exeに統合。
- エラーのあるスクリプトはキャッシュから削除するように変更
- リプレイ再生終了後即座にメニューに戻らずに、通常クリアと同様ボタン入力があってから戻るように変更
- DeleteName()で名前がフェードアウトするように変更
- 親敵へのダメージ比率も設定できる関数(SetDamageRateEx)
- 自機の弾を封じる関数(ForbidShot)
- 現在のFPSを取得する関数(GetFps)
- 現時点のスペルボーナスの予定値を返す機能(GetSpellCardBonusScore)
- 背景が時間停止中か判断する関数(IsBGStopping)
- 変数を多重定義してもエラーになってなかったのを修正
- スクリプトショットに回転やアニメーションのユーザ定義の弾画像を使えなかったのを修正(Thanks to HAL900氏)
- スクリプトショットの描画方法の初期化をしていなかったのを修正(Thanks to HAL900氏)
- 会話中に「最初からやり直す」を行うと会話が残ったのを修正(Thanks to ロベール氏)
- ステージスクリプト中で会話イベントを呼び出すと不具合が起きたのを修正(Thanks to ロベール氏)
- ラストスペル中に森羅結界は発動できないように修正(Thanks to ロベール氏)
- 森羅結界発動中にアイテムが自動回収されなかったのを修正(Thanks to ロベール氏)
- 配列に、空の配列を代入できなかったのを修正(Thanks to MAKINA氏)
- DeleteCommonDataが動作しなかったのを修正(Thanks to MAKINA氏)
- 最後のスペルカード時、GotSpellCardBonus()が必ずfalseになっていたのを修正(Thanks to No.6氏)

2005/05/02(ver0.11h2)
- リプレイやコンフィグデータの保存ができなくなっていたのを修正

2005/05/02(ver0.11h)
- ステージスクリプト中で、一度でもバイトコードになおしたスクリプトは、キャッシュしておくようにした
- ステージスクリプト中での敵スクリプトファイルの先読みロード機能(CompileEnemyFromFile)
- ステージスクリプト中でキャッシュしてあるバイトコードを削除する関数(ClearByteCodeCash)
- スペル失敗確定時に敵の魔方陣を変えるようにした
- SetEffectForZeroLifeで死ぬまで遅延した時間分はスペル背景を保持するように変更
- 画像や音声のデータ部分のみまとめても外部のスクリプト側から読めるようにした(AddArchiveFile)
- 関数追加(DeleteCommonData、GetArgumentDefault)
- CreateShotFromScript、CreateEnemyFromScriptの最後の引数に配列を与えられなかったのを修正
- スクリプトエンジンのメモリリークをたぶん修正(Thanks to MAKINA氏)
- リプレイより先にスクリプトがあるとFPSの表示がおかしくなったのを修正(Thanks to MAKINA氏)
- ClearCommonDataが実装されてなかったのを修正(Thanks to END氏)
- MotionBlurあるいはMotionBlurEXのADDで、タイプをALLにすると、残機と残ボム表示が消えてしまったのを修正(Thanks to END氏)
- rand_int(a, b)関数で乱数を発生させたとき、bを含まなかったのを修正(Thanks to END氏)
- 弾スクリプトで、ユーザ定義の弾画像が使えなかったのを修正(Thanks to HAL900氏)
- LoadUserShotDataを連続で呼ぶと不具合がおきたのを修正(Thanks to HAL900氏)

2005/03/20(ver0.11g)
- 弾の画像を追加できる機能に角速度を指定できるようにした。(回転する星弾などに使えます)

2005/03/18(ver0.11f2)
- SaveCommonDataがセキュリティ的に危険だったので修正(Thanks to MAKINA氏)

2005/03/18(ver0.11f)
- 弾の画像を追加できる機能。CreateShot等の引数に与える弾画像を追加できます。アニメーションする弾も可能です。(LoadUserShotData)
- CommonDataを保存する機能(SaveCommonData、LoadCommonData)
- ALPHA合成でモーションブラーする機能(MotionBlurEx)
- SetGraphicScaleが機能していなかったのを修正(Thanks to MAKINA氏)

2005/02/06(ver0.11e2)
- ラストスペル展開状態で喰らいボム猶予時間内にボムキーを押すと復活したのを修正(Thanks to Akechi氏)
- ラストスペル展開状態で被弾後自機復帰時に残ボム数が初期化されたのを修正(Thanks to Akechi氏)
- GetTimeOfSuperNaturalBorderで森羅結界の残り展開時間ではなく、Graze数が返されたのを修正。(Thanks to Akechi氏)
- GotSpellCardBonus()が機能していなかったのを修正(Thanks to Akechi氏)

2005/02/01(ver0.11e)
- 画面外アイテムマーカー
- ラストスペル(LastSpell)(@InitializeでSetScore()等と共に関数指定するとボム・残機共に無効になり被弾してもミスにならない代わり敵ライフ0)
- Stageスクリプトでワールド座標に描画するための関数(DrawGraphic3D、SetViewTo、SetViewFrom、SetPerspectiveClip、WriteZBuffer、UseZBuffer、SetFog)
- @Finalizeにてスペルカードが取れたかどうかを返す機能(GotSpellCardBonus)
- 無敵の残り時間を返す関数(GetTimeOfInvincibility、GetTimeOfPlayerInvincibility)
- 森羅結界の残り時間を返す関数(GetTimeOfSuperNaturalBorder)
- SetScore前にミス／ボムしても、SetScore後にノーミス・ノーボムでボスを倒すと、カード取得エフェクトが発動した（ボーナスは0点）のを修正(Thanks to END氏)
- 「最初からやりなおす」をするとノルマが表示されなくなったのを修正(Thanks to 飛車ちゅう氏)
- Directoryからスクリプトを選んだ場合＃PlayLevelが反映されなかったのを修正(Thanks to Akechi氏)

2004/12/05(ver0.11d)
- 整数の乱数を返す関数(rand_int)
- rand(min,max)で、min>maxならrand(max,min)が返るようにした
- 会話イベント中にカットイン画像の手前にボスの名前(と二つ名)を表示できる機能(SetNameFromText、SetNameFromTexture、DeleteName)
- GetKeyStateでメッセージスキップボタンに関するもの(VK_SKIP)
- プレイレベルを表示する機能(#PlayLevel[〜])
- SetShotDataA_XYの仕様を変更(減速したり進行方向が途中で逆転できるように)
- VK_SLOWMOVEが定義されていなかったのを修正(Thanks to ロベール氏)
- SetNormPoint()で負の値を設定してもノルマ表示が消えなかったのを修正(Thanks to Akechi氏)
- 森羅結界が回っていなかったのを修正(Thanks to Akechi氏)
- ボム禁止時でも喰らいボム猶予時間内にボムキーを押すと復帰できたのを修正(Thanks to Akechi氏)
- ORANGE11の弾画像の切り出し位置がおかしいかったのを修正(Thanks to END氏)

2004/10/24(ver0.11c)
- 可変フレームスキップモード(起動画面の描画間隔に「可変」が追加されています)
- PlayMusicで存在しないファイルを指定したとき自動的にデフォルトBGMを読みに行くようにした
- ボム無効機能(ForbidBomb)
- 関数追加(AddPoint、AddBomb、GetCommonDataDefault、SetShotDataA_XY)
- Point表示の右側に000/XXXみたいにノルマ値を表示する機能(SetNormPoint)
- イベント中に無敵を切るとイベント中なのにショット・ボムが撃ててしまったのを修正(Thanks to Makina氏)

2004/09/20(ver0.11b)
- キーの状態を取得できるようにした(GetKeyState)
- アイテムの表示優先度を下げた
- Y座標が自機に重なっても敵マーカーが消えないようにした
- SetShotDirectionTypeを使用しても、設置型レーザー(CreateLaserA、CreateLaserB)に効果が現れなかったのを修正(Thanks to Age氏)
- CreateEnemyFromScriptで弾スクリプトを呼べてしまったのを修正(Thanks to Makina氏)
- SetPlayerX、SetPlayerYがステージスクリプトでは使えなかったのを修正(Thanks to Makina氏)

2004/08/30(ver0.11a)
- 弾をオブジェクト操作用関数で制御できるようにした(これでより柔軟に弾幕を作製できます。サンプルを参照してみてください。)
- 当り判定関数(Collision_Line_Circle、Collision_Obj_Obj)
- デバッグ用キーを使用したか取得する関数(UsedDebugKey)
- 敵マーカーを設定する関数(SetEnemyMarker)
- SetCommonDataが配列を保存できなかったのを修正
- GetCommonDataを使った時要素が無かったら落ちたのを修正
- SetEffectForZeroLifeでスローがかかってる間だとポーズが解除できなくなるのを修正(Thanks to Makina氏)
- 弾スクリプト内でDeleteEnemyShotToItemを使うと落ちたのを修正(Thanks to Makina氏)
- ORANGE02の弾が変だったのを修正(Thanks to 京都人氏)

2004/08/22(ver0.10v2)
- SetScoreが2つ以上あると落ちていたのを修正
- イベントスクリプトでWaitと使うと停止から復帰しなかったのを修正(Thanks to Akechi氏)
- Quitにカーソルを合わせてzキーを押しても終了しなかったのを修正(Thanks to Akechi氏)
- AddLifeにバグがあったのを修正(Thanks to Akechi氏)
- 敵スペルカード展開中・森羅結界展開中に被弾してもスペルカードボーナスが0にならなかったのを修正(Thanks to Akechi氏)

2004/08/21(ver0.10v)
- ランダム再生実装
- 無敵時間中に自機の回りに円を表示するようにした
- 弾にORANGE追加
- 画面効果専用ステージオブジェクト(@DrawBottomObject、@DrawTopObject)
- プレイヤーが低速攻撃中か否かを取得する関数(GetPlayerMoveState)
- 敵スクリプトの@Finalizeにて自殺か他殺かを取得する関数(BeVanished)
- 前回のフレーム中にショットを何発食らったか取得する関数(GetHitCount)
- x、y方向のベクトルで弾を作製する関数(CreateShot11、CreateShot12)
- 指定円内の敵弾をアイテムに変える関数(DeleteEnemyShotToItemInCircle)
- 森羅結界発動関数(SuperNaturalBorder)
- ↑上記実装時に内部を整理したので、これまでのリプレイは再生不可にしました
- イベントスクリプトのWaitが機能していなかったのを修正(Thanks to Makina氏)
- GetPlayerTypeが弾スクリプトで使えなかったのを修正(Thanks to Makina氏)
- mainでないscriptはBackSpace等でリロードしても更新されなかったのを修正(Thanks to SysK氏)
- 長さ35以下のレーザーは当たり判定が無かったのを修正(Thanks to SysK氏)

2004/08/02(ver0.10u2)
- 弾スクリプト内でDrawGraphicDefault()を使っても描画されないことがあったのを修正(Thanks to END氏)

2004/08/01(ver0.10u)
- @Finalize中でも弾スクリプトを使用可能にした
- 積分関数(integral)
- ボスが画面外にいてもマーカーが表示されたのを修正(Thanks to Akechi氏)
- 会話イベントでSelectを使うと表示が変になるのを修正(Thanks to Akechi氏)

2004/07/26(ver0.10t)
- 会話イベントの途中でステージをクリアできる関数をイベント関数に追加(StageClear)
- ボスの死亡〜消滅間の時間、スロー、モーションブラーの設定をする関数(SetEffectForZeroLife、このせいで単発再生以外のこれまでのリプレイがずれそうです)
- 弾スクリプトにおいて遅延時間を取得する関数(GetDelayTime)
- 未実装の魔理沙ボム効果音も置き換えられるようにした。
- スクリプトのインデックスファイルをつくるようにした(スクリプト選択画面に行く毎に更新するのでほとんど速度的な意味が無いです。起動時のみに更新とかにすればもっと速いんですが…)
- 配列を要素数を得る関数(length)をヘルプに書き忘れていたので修正(Thanks to MAKINA氏)
- 霊夢(霊)のホーミング弾が画面外の敵を追い続けるのを修正(Thanks to MAKINA氏)

2004/07/12(ver0.10s3)
- ボス以外の敵がスクリプト弾を使うと不具合(リプレイがずれたり、落ちたり)が起きる可能性があったのを修正(これでリプレイバグは全部消えたかな…)

2004/06/26(ver0.10s2)
- アーカイブ内にあるファイルから#include_script、#include_functionできなかったのを修正
- スクリプト弾内にエラーがあったら即落ちたのを修正
- 同名のスクリプトを登録してないのにエラーがでる可能性があったのを修正
- SetTimer(〜);で制限時間をセットしていないと(BackSpaceなどで)リトライした時スペカボーナスが変になるのを修正(Thanks to Akechi氏)
- SetLife(0);とするとライフゲージがおかしなことになるのを修正(Thanks to Akechi氏)
- スクリプト弾内でCreateLaserCを呼んだら即落ちたのを修正(Thanks to ＺＭＩ氏)

2004/06/13(ver0.10s)
- Microsoft Visual C++ Toolkit 2003でビルドするようにしました。最適化がかかるので速度が改善されています。(自宅はVC++6.0 Standardのみなので最適化してなかったのです…)
- 関数追加(DrawText,SetFontColor,ToString)
- 簡易的なファイル取り込みを実装(単なる置換で制限が強いです：#include_script、#include_function)
- @Initialize内でMagicCircle(false)を呼んでもマーカーが消えなかったのを修正(Thanks to END氏)

2004/06/05(ver0.10r)
- スクリプトの選択にDirectoryを追加。(元のフォルダ構造のまま選択できます)
- 敵ボスのマーカーを実装
- fpsを小数点以下まで表示するように変更
- コンフィグにトリプルバッファの抑制を追加(今までのコンフィグデータは消えます)
- 弾スクリプトを用いている状態でゲームオーバーになったら、アプリケーションが落ちる可能性があったのを修正
- 自機カットイン時に魔方陣が動いていたのを修正
- 一部メモリリークしていたのを修正
- メニューでの「Esc」キーの挙動が変だったのを修正(Thanks to KU氏)
- ヘルプにFAQを追加

2004/05/25(ver0.10q3)
- SetScoreより先にSetTimerが実行されると、魔方陣が縮小されていかないのを修正
- 敵スクリプト内で弾スクリプトを呼び、BackSpaceでリトライすると落ちるのを修正(Thanks to さく氏)

2004/05/24(ver0.10q2)
- 弾スクリプトのFinalizeが実行されていなかったのを修正(Thanks to さく氏)
- MagicCircle(false)をSetScoreより前に実行すると落ちていたのを修正(Thanks to さく氏)

2004/05/23(ver0.10q)
- 弾の画像を修正(xxx_01,xxx_02)
- 魔法陣を変更
- Defaultの背景を変更(多少重い？ スペルカード使用時のDefault背景も追加)
- 関数追加(Continued,AddGraze)
- DeleteEnemyShotを用いた後、消滅中のレーザーにあたり判定が残っていたのを修正(Thanks to Akechi氏)

2004/04/19(ver0.10p)
- BackGroundをUserのみ（背景無し）で強制終了されていたのを修正(v0.10p2) (Thanks to さく氏)
- BackGround[User(Img X Y)]で長時間プレイすると背景が変になるのをたぶん修正(Thanks to Akechi氏)
- Continueした場合、Pointは0にならないのを修正(Thanks to Akechi氏)
- ExpertExが霊符にだけ適用されなかったのを修正(Thanks to Akechi氏)
- アイテム回収時の得点が変だったのを修正(Thanks to 切☆氏)
- OnDelayの動作が変だったのを修正(Thanks to 切☆氏)

2004/04/12(ver0.10o)
- 関数追加(VanishEnemy)
- ステージスクリプト再生時、複数の敵が出現している状態でリトライ等を行うと落ちたのを修正(Thanks to SysK氏)
- ノンディレクショナルレーザー発射時に関係無い座標にレーザーが見えたのを修正(Thanks to Akechi氏)
- 画面外にでた弾の消滅のタイミングが変だったのを修正(Thanks to Akechi氏)

2004/04/04(ver0.10n)
- 関数追加(Concentration02：氷の結晶?を集めるようなエフェクト)
- サウンドカードによってはタイトルに戻る等の時に、固まる可能性があったのを修正(スクリプト終了時に固まったことがある環境に有効)
- リトライした後にリプレイを取り、そのリプレイを見るとリトライする前の最終Grazeや最終Scoreが加算されていたのを修正(Thanks to Akechi氏)

2004/03/28(ver0.10m)
- 「画面周りを毎回描画」にチェックが入っていても無視されていたのを修正(v0.10m4)
- コメントアウト直後に「}」があるとエラーになっていたのを修正(v0.10m4 Thanks to KU氏)
- GetPlayerLife、GetPlayerBomb、GetGraze、GetPointが動作しなかったのを修正(v0.10m3 Thanks to Akechi氏)
- SetShotColorにバグがあったのを修正(v0.10m2)
- 関数追加(SetShotColor、GetPlayerLife、GetPlayerBomb、GetGraze、GetPoint)
- アーカイブから読みこんだデータでメモリリークしていたのを修正
- レーザーやマジックナパーム等で、敵のあたり判定が複数登録されているとあたり判定の数だけダメージが倍増するのを修正(Thanks to 切☆氏)
- #BackGroundの不具合修正(Thanks to Akechi氏)
- リトライ時にAddScoreを使うと得点が加算されるのを修正(Thanks to Akechi氏)
- SetMovePositionRandom01が変だったのを修正(Thanks to Akechi氏)

2004/03/21(ver0.10l)
- 一部VRAMを解放しないバグを修正(v0.10dからあったバグのようです。特定の環境ではこのせいでものすごく重かったはず…)
- 敵弾を得点アイテムに変える関数(DeleteEnemyShotToItem)
- 霊夢(夢)修正
- コンティニュー/終了の選択画面で数字の周りだけ明るかったのを修正(Thanks to とくしん氏)
- ボム発動中にリトライすると不具合が起きていたのを修正(Thanks to Akechi氏)

2004/03/14(ver0.10k)
- アイテム設置関数(CreateItem)
- ゲーム中のボム使用回数取得関数(GetBombCount)
- スペルカード残り時間取得関数(GetTimer)
- 得点を増加させる関数(AddScore)
- 敵のライフを増減させる関数(AddLife)
- バージョン情報を取得する関数(GetVersion)
- 一部の効果音を実装しました(効果音を置き換えたい方は、ヘルプの「音声について」をどうぞ。)
- 描画処理改善(環境によっては多少軽くなるかも)
- 霊夢(霊)修正
- レーザー遅延時間中の描画が変だったのを修正
- ScriptVersion[1]でCreateLaserBを使ったら落ちていたのを修正
- 「特殊文字が変です」のエラー時にエラー行が変だったのを修正(Thanks to 水野とうき氏)
- リプレイ名入力画面で8文字入力したら落ちていたのを修正(Thanks to とくしん氏)
- 魔理沙(恋)のレーザーの当たり判定が裏まであったのを修正(Thanks to とくしん氏)
- SetDamageRateのボム値がショット値に連動していたのを修正(Thanks to Akechi氏)

2004/03/07(ver0.10j)
- 魔理沙(恋)
- 曲げられるレーザー実装(CreateLaserC、SetLaserDataC)
- 弾スクリプト内で曲げられるレーザー実装(SetLaser、SetCollosionLaser、DrawLaser)
- デバッグキー、コンティニュー回数、残機の設定をする関数(ExpertEx)
- 移動速度変更(指摘されていたので…)
- GetPlayerTypeの返り値を特定の定数に(REIMU_A、REIMU_B、MARISA_A、MARISA_B)
- ヘルプに配列の解説
- 短くなったくらいボム待ち時間が戻らないのを修正
- enemy_script内でCreateLaserBを使うと不正終了するのを修正(Thanks to SysK氏)

2004/02/29(ver0.10i)
- 魔理沙(魔)
- 会話イベント選択肢関数(Select)
- スペルカード中のミス回数取得関数関数(GetMissCountInThisSpell、GetBombCountInThisSpell)
- 会話イベント中にエラーがあると即落ちていたのを修正
- 弾スクリプト自前描画時に弾スクリプトが消えると画像が変に見えたのを修正
- 弾Explosion01を沢山呼び出すと止まるバグを修正(Thanks to 旭風氏)

2004/02/22(ver0.10h)
- ステージを作製可能にした(解説)
- 条件分岐構文追加(alternative C言語のswitchのようなもの)
- スクリプト間で共通の値を保存する関数(SetCommonData、GetCommonData)
- 自機を無敵にする関数(SetPlayerInvincibility)
- 残機を増やす関数(ExtendPlayer)
- 絶対値を返す関数(absolute)
- DeleteEnemyShotに引き数(CHILD)を追加
- リプレイ保存時にEscでポーズをかけるとずれていたのを修正
- 「@BackGround」使用時にリトライすると背景が変になるバグ修正
- 弾スクリプトで画像が壊れて描画されることがあるのを修正
- CutIn(KOUMA)関数にアーカイブにある画像を指定すると読みこめなかったのを修正
- CreateScriptEnemyで作製した敵のGetCurrentScriptDirectoryが動作していなかったのを修正
- OutputDebugStringの引数にboolean変数を入れると常にtrueなるのを修正(Thanks to おとたけ氏)
- xxx05系の弾で遅延時間中の設定し忘れを修正(Thanks to 切☆氏)

2004/02/16(ver0.10g)
- #BGM[...]でBGMの指定を可能に
- 「@BackGround」でスペルカード時の背景を描画できるように
- コメントアウトのバグ修正(Thanks to SysK氏)
- SetMovePosition01の挙動が変だったのを修正(Thanks to SysK氏)
- 弾スクリプト内でSetCollisionBが動作しなかったのを修正(Thanks to おとたけ氏)

2004/02/13(ver0.10f)
- 再生毎に乱数種を変更し、リプレイファイルに保存する形式に変更(何度も申し訳ない。)
- リトライ毎にメモリリークしていたのを修正
- 特定の弾が使えなかったのを修正(Thanks to おとたけ氏)

2004/02/11(ver0.10e)
- 専用の圧縮アーカイブされたファイルを実行可能に
- 乱数の生成をMT法にした
- (より高性能な乱数が得られます。
- ただし、これまで乱数を使っていたスクリプトのリプレイは、ずれるので再生不可にしました。)
- 敵スペルカード使用時の魔法陣出現関数(MagicCircle)
- アーカイブされたスクリプトのリプレイが再生できなかったのを修正
- 連続再生時に弾スクリプトを使っていると落ちるバグ修正(Thanks to SysK氏)
- 特定の弾(WHITE21,WHITE32)が使えなかったのを修正(Thanks to SysK氏)
- GetLifeの値が100倍されていたのを修正(Thanks to SysK氏)

2004/02/08(ver0.10d)
- スクリプトの検索を「script」フォルダ内全てにしました。
- (「script」フォルダ内のフォルダも検索対象になります)
- 専用の簡易アーカイブされたファイルを実行可能に。
- コンティニュー、デバッグキーの使用を不可にする関数(Expert)
- デバッグ情報出力用関数(CreateDebugWindow、OutputDebugString)
- 配列のスライシングが可能に
- メニューの遷移等を改善
- 弾スクリプトを高速化
- 配列の要素に代入したら落ちていたのを修正
- 弾スクリプトが画面外に出たら自動消滅していたのを修正
- (Thanks to 水野とうき氏)
- マイクロスレッドにバグがあったのを修正(Thanks to KU氏)

2004/01/28(ver0.10c)
- 少しでも構文にエラーがあったら即落ちていたのを修正(Thanks to KU氏)
- SetX()、SetY()が動作しなかったのを修正(Thanks to 切☆氏)
- GetPlayerY()が動作しなかったのを修正
- ScriptVersion[1]の弾スクリプトでCreateLaser01を呼べなかったのを修正

2004/01/27(ver0.10b)
- WindowModeを変更したら特定の場面で画面が伸びていたのを修正(Thanks to RD氏)
- ユーザー関数の仮引数に「let」をかいたらエラーだったのを修正(Thanks to KU氏)
- 型の違う返り値のユーザー関数をかくとエラーになったのを修正
- taskのreturnが無視されていたのを修正

2004/01/26(ver0.10a)
- スクリプトエンジン変更(概要)
- (YT氏にスクリプトエンジンを提供していただきました。)

2004/01/21(ver0.01f)
- 音源選択のバグ修正(Thanks to 水野とうき氏)
- レンダリングターゲットに正方形を使えない環境で、
- 敵を倒した瞬間等に落ちていたのを修正(Thanks to リンクス氏)
- 「次回から起動ウインドウを表示しない」にチェックを入れなくても、次回起動時に起動ウインドウが表示されなくなる可能性のあるバグを修正(Thanks to リンクス氏)

2004/01/19(ver0.01e)
- リプレイ保存のバグを修正(できたはず…)
- (これまでのバージョンのリプレイファイルはバグがあるので再生不可にしました)

2004/01/18(ver0.01d)
- 音源を選択可能にした(起動ウィンドウで選択可)
- 起動ウィンドウに「次回から起動ウィンドウを表示しない」を追加(config.datを削除すれば再び表示されるようになります)
- 弾画像追加(WHITE、結晶弾(xxx23))
- 数値演算関数追加(tan、acos、asin、atan、log、log10)
- プレイヤーがミスした回数を取得する関数(GetMissCount)
- レーザーは遅延時間中でも弾をだせるように変更
- 遅延時間内に弾が動いていたのを修正(Thanks to KU氏)
- atan2()の戻り値がラジアンだったのを修正(仕様と思っていた方申し訳ない)(Thanks to KU氏)

2004/01/12(ver0.01c)
- 会話イベントを実装
- カットイン関数(CutIn)
- 射出型レーザー関数(CreateLaser01)
- 霊夢(霊)の直進弾に当たり判定がなかったのを修正

2004/01/09(ver0.01b)
- 霊夢(霊)の弾変更
- ESCキーに当たるボタンを、パッドに設定可能にした
- 自機の斜め移動に補正をかけた(今までのリプレイは確実にずれるので再生不可にしました)
- 弾画像追加(XXX05)
- 引数の無い返り値のある関数が変だったのを修正(Thanks to フレア氏)
- 連続再生でSetShotDirectionTypeの影響が継続していたのを修正(Thanks to フレア氏)
- 弾スクリプトでEndを行うとSetText、エフェクト等が解除されていたのを修正(Thanks to SysK氏)
- ホーミング弾(霊夢(霊))のバグ修正(Thanks to 水野とうき氏)

2004/01/05(ver0.01a)
- ある程度の機能がそろったので試作版→β版に
- 敵の複数体出現をサポート(CreateEnemyFromScript)
- 弾画像追加(XXX22,XXX31,XXX32)
- 自機のタイプを判別する関数(GetPlayerType)
- デバッグ用キーをヘルプに記述
- 組み込み関数の呼び出しを多少高速化
- 条件式のバグを修正(Thanks to 水野とうき氏)

2004/01/03(ver0.00l)
- 自機の座標を制御する関数(SetPlayerX,SetPlayerY)
- 時間を止める関数(TimeStop)
- 耐久弾幕を宣言する関数(SetDurableSpellCard)
- 得点の内わけをヘルプに記述
- @Initialize内でCreateLaserBを呼ぶと不具合が起きていたのを修正(Thanks to SysK氏)

2004/01/01(ver0.00k)
- 背景を変更可能に(リファレンスの必須部分に解説)
- タイトルの「Quit」が無視されていたのを修正(Thanks to 水野とうき氏)
- 拡張子midiのファイルが鳴らなかったのを修正(Thanks to D-F氏)
- (間違って拡張子wavのmidiしか鳴らないようになっていました)

2003/12/30(ver0.00j)
- スクリプトの連続再生サポート(解説)
- コード中に全角文字が含まれていたらエラーをだすように修正
- SetScoreの効果が追加されました(SetScoreで得点を設定するとスペルカードボーナス対象になります)
- SetLaserDataAで移動角度を設定できなかったバグを修正
- 弾スクリプトで敵ライフを取得する関数(GetEnemyLife)

2003/12/27(ver0.00i)
- 変数の操作を高速化(このおかげでバグ増加の気配)
- スクリプトで動作する弾を作製可能にした(非常に重い…)
- 弾スクリプト機能追加に伴い、
- リファレンス内の関数配置が変わっています。
- 敵の自弾に対する抵抗値を指定する関数(SetDamageRate)
- ボムが発動中かどうかを取得する関数(OnBomb)
- 敵弾を削除する関数(DeleteEnemyShot)
- 数値解析部分のバグ修正(+(x)でエラー誤検出でした)
- エラー時の行数表示間違い修正(またずれていた…)

2003/12/21(ver0.00h)
- 弾画像追加、一部変更(XXX12、XXX21)
- 敵の当たり判定(体当たり用)登録関数(SetCollisionB)
- 弾を発射した順序で描画するように変更
- (弾の管理法が変わったのでバグがありそう)
- スクリプト初期化時に失敗する可能性のあるバグ修正(Thanks to SysK氏)
- SetMovePositionRandom01が動作しなかった(同梱のExRumiaが止まってた…)のを修正(Thanks to SysK氏)

2003/12/20(ver0.00g)
- 関数実装(引数付きのサブルーチン)
- スクリプトエラー検出強化(←これで多少つくりやすくなるはず…)
- 弾画像一部追加差し替え(XXX04、XXX11)
- SetAlphaが無視されて半透明描画ができなかったのを修正
- 数値解析部分のバグ修正(Thanks to SysK氏)
- 変数名等に「_」を使えなかったのを修正
- 曲線軌道移動関数追加(SetMovePositionHermite)
- 効果音再生関数追加(LoadSE、PlaySE、DeleteSE)

2003/12/17(ver0.00f)
- 小数点以下をカットする関数を追加(int)
- 擬似モーションブラー関数追加(MotionBlur01)
- 全てのオブジェクトの動きをスローにする関数追加(Slow)
- 音声系関数追加(PlayMusic、DeleteMusic)
- 多少速度改善(たぶん10%程度…)
- 自機にあたった敵弾は消えなくなりました
- コメントアウトに微妙なバグがあったので修正。

2003/12/14(ver0.00e)
- リプレイを保存可能にした
- 敵の残りライフを取得する関数を追加(GetLife)
- 敵のスペル名等を表示するための関数追加(SetText)
- サブルーチン実装

2003/12/11(ver0.00d)
- 敵を倒した瞬間落ちる可能性のあるバグ修正(Thanks to 切☆氏)
- CreateShot02が変だったのを修正
- サンプル(4：分裂する弾)

2003/12/07(ver0.00c)
- スクリプトエラー部分の行数表示(一部)
- サンプル(1〜3)

2003/11/30(ver0.00b)
- バグを多量になおした…。
- ヘルプ公開。

2003/11/24(ver0.00a)
- 試作版公開